| All Verbs | /RestApi/Sitefinity/Analytics/GetAllTrackedDomains |
|---|
using System;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using ServiceStack;
using ServiceStack.DataAnnotations;
using Telerik.Sitefinity.Analytics.Server.Infrastructure.Services.ServiceStackServices.Model;
namespace Telerik.Sitefinity.Analytics.Server.Infrastructure.Services.ServiceStackServices.Model
{
public partial class Domain
{
public virtual string TrackedDomain { get; set; }
}
public partial class GetAllTrackedDomainsData
{
public GetAllTrackedDomainsData()
{
AllTrackedDomains = new List<Domain>{};
}
public virtual List<Domain> AllTrackedDomains { get; set; }
public virtual string SelectedAccount { get; set; }
public virtual string TrackedDomain { get; set; }
}
public partial class GetAllTrackedDomainsMessage
{
public virtual string SelectedProfile { get; set; }
public virtual string TrackedDomain { get; set; }
public virtual Guid SiteId { get; set; }
}
}
C# GetAllTrackedDomainsMessage DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/Sitefinity/Analytics/GetAllTrackedDomains HTTP/1.1
Host: www.asg.com.au
Accept: application/xml
Content-Type: application/xml
Content-Length: length
<GetAllTrackedDomainsMessage xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Analytics.Server.Infrastructure.Services.ServiceStackServices.Model">
<SelectedProfile>String</SelectedProfile>
<SiteId>00000000-0000-0000-0000-000000000000</SiteId>
<TrackedDomain>String</TrackedDomain>
</GetAllTrackedDomainsMessage>
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length
<GetAllTrackedDomainsData xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Analytics.Server.Infrastructure.Services.ServiceStackServices.Model">
<AllTrackedDomains>
<Domain>
<TrackedDomain>String</TrackedDomain>
</Domain>
</AllTrackedDomains>
<SelectedAccount>String</SelectedAccount>
<TrackedDomain>String</TrackedDomain>
</GetAllTrackedDomainsData>